package cz.muni.fi.pv239.cv3room

import android.arch.persistence.room.Room
import android.os.Bundle
import android.support.v7.app.AppCompatActivity
import android.widget.ArrayAdapter
import kotlinx.android.synthetic.main.activity_main.*

class MainActivity : AppCompatActivity() {

	private val db = Room.databaseBuilder(this, AppDatabase::class.java, "db")
			.allowMainThreadQueries()
			.build()

	override fun onCreate(savedInstanceState: Bundle?) {
		super.onCreate(savedInstanceState)
		setContentView(R.layout.activity_main)

		main_button.setOnClickListener {

			// Sem dopln kod pro pridani uzivatele do databaze

			val user = User(main_input.text.toString())

			db.userDao().insert(user)

			refreshList()
		}

		main_list.setOnItemClickListener { _, view, position, id ->

			// Sem dopln kod pro mazani uzivatele z databaze

			val user = db.userDao().getByPosition(position)

			db.userDao().delete(user)

			refreshList()
		}

		refreshList()
	}

	private fun refreshList() {
		// val users = ... dopln ziskani uzivatelu z database

		val users = db.userDao().getAll()

		// Set an adapter
		main_list.adapter = ArrayAdapter(this, android.R.layout.simple_list_item_1, users)
	}
}
